# TMtxMath Class Reference

List of all members.

## Static Public Member Functions
static void | PreMultiplyRotationColTfm (TMatrix44 &m, const EAxis axis, const TAngle &angle)
static void | PostMultiplyRotationColTfm (TMatrix44 &m, const EAxis axis, const TAngle &angle)
static void | PreMultiplyTranslationColTfm (TMatrix44 &m, const real tx, const real ty, const real tz)
static void | PostMultiplyTranslationColTfm (TMatrix44 &m, const real tx, const real ty, const real tz)
static void | PreMultiplyRotationRowTfm (TMatrix44 &m, const EAxis axis, const TAngle &angle)
static void | PostMultiplyRotationRowTfm (TMatrix44 &m, const EAxis axis, const TAngle &angle)
static void | PreMultiplyTranslationRowTfm (TMatrix44 &m, const real tx, const real ty, const real tz)
static void | PostMultiplyTranslationRowTfm (TMatrix44 &m, const real tx, const real ty, const real tz)
static void | PreMultiplyScaleTfm (TMatrix44 &m, const real sx, const real sy, const real sz)
static void | PostMultiplyScaleTfm (TMatrix44 &m, const real sx, const real sy, const real sz)
static void | FormScaleTfm (TMatrix44 &m, const real sx, const real sy, const real sz)
static void | FormTranslationRowTfm (TMatrix44 &m, const real tx, const real ty, const real tz)
static void | FormRotationRowTfm (TMatrix44 &m, const EAxis axis, const TAngle &angle)
static void | FormRotationRowTfm (TMatrix44 &m, const TVector3 &axis, const TAngle &angle)
static boolean | SolveInverseGeneralCR (const TMatrix22 &m, TMatrix22 &mInverse)
static boolean | SolveInverseGeneralCR (const TMatrix33 &m, TMatrix33 &mInverse)
static boolean | SolveInverseGeneralGJE (const TMatrix33 &m, TMatrix33 &mInverse)
static boolean | SolveInverseGeneralGJE (const TMatrix44 &m, TMatrix44 &mInverse)
template<class T >
static boolean | SolveInverseGeneralGJE (const TMatrixMN< T > &m, TMatrixMN< T > &mInverse)
static boolean | SolveInverseSimpleRowTfmRT (const TMatrix44 &m, TMatrix44 &mInverse)
static boolean | SolveInverseSimpleRowTfmRTU (const TMatrix44 &m, TMatrix44 &mInverse)
static boolean | SolveInverseSimpleRowTfmRTS (const TMatrix44 &m, TMatrix44 &mInverse)
static void | MultiplyAffineRowTfms (const TMatrix44 &m1, const TMatrix44 &m2, TMatrix44 &result)
static void | MultiplyVectorByAffineRowTfm (const TVector4 &v, const TMatrix44 &m, TVector4 &result)
static void | MultiplyVectorByAffineRowTfm (const TVector3 &v, const real wValue, const TMatrix44 &m, TVector3 &result)
static void | MultiplyAffineRowTfms (const TMatrix33 &m1, const TMatrix33 &m2, TMatrix33 &result)
static void | MultiplyVectorByAffineRowTfm (const TVector3 &v, const TMatrix33 &m, TVector3 &result)
static void | MultiplyVectorByAffineRowTfm (const TVector2 &v, const real w, const TMatrix33 &m, TVector2 &result)
static void | PostRotateVectorByAffineRowTfm (const TMatrix44 &tfm, const TVector3 &normal, TVector3 &rotatedNormal)
static void | ConvertRowTfmToEulerXYZ (const TMatrix44 &m, TAngle &angleX, TAngle &angleY, TAngle &angleZ)
static void | ConvertEulerXYZToRowTfm (TMatrix44 &m, const TAngle &angleX, const TAngle &angleY, const TAngle &angleZ)
static void | MakeOrthonormalBasisFromZAxis (const TVector3 &zAxis, TVector3 &unitXAxis, TVector3 &unitYAxis, TVector3 &unitZAxis)
static void | MakeOrthonormalBasisFrom3Axes (TVector3 &xVec, TVector3 &yVec, TVector3 &zVec)
static void | FormOrthonormalRowTfmAboutZAxis (const TVector3 &zAxis, TMatrix33 &tfm)
static void | FormOrthonormalRowTfmAboutZAxis (const TVector3 &zAxis, TMatrix44 &tfm)
static void | FormMatrixFromToUp (const TVector3 &inFromPoint, const TVector3 &inTargetPoint, const TVector3 &inUpVector, TMatrix44 &outTfm, TMatrix44 &outTfmInverse)

## Member Function Documentation

static void TMtxMath::ConvertEulerXYZToRowTfm | ( | TMatrix44 & | m,
|  | const TAngle & | angleX,
|  | const TAngle & | angleY,
|  | const TAngle & | angleZ |
| ) |  |  | `[static]`

static void TMtxMath::ConvertRowTfmToEulerXYZ | ( | const TMatrix44 & | m,
|  | TAngle & | angleX,
|  | TAngle & | angleY,
|  | TAngle & | angleZ |
| ) |  |  | `[static]`

static void TMtxMath::FormMatrixFromToUp | ( | const TVector3 & | inFromPoint,
|  | const TVector3 & | inTargetPoint,
|  | const TVector3 & | inUpVector,
|  | TMatrix44 & | outTfm,
|  | TMatrix44 & | outTfmInverse |
| ) |  |  | `[static]`

static void TMtxMath::FormOrthonormalRowTfmAboutZAxis | ( | const TVector3 & | zAxis,
|  | TMatrix44 & | tfm |
| ) |  |  | `[static]`

static void TMtxMath::FormOrthonormalRowTfmAboutZAxis | ( | const TVector3 & | zAxis,
|  | TMatrix33 & | tfm |
| ) |  |  | `[static]`

static void TMtxMath::FormRotationRowTfm | ( | TMatrix44 & | m,
|  | const TVector3 & | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::FormRotationRowTfm | ( | TMatrix44 & | m,
|  | const EAxis | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::FormScaleTfm | ( | TMatrix44 & | m,
|  | const real | sx,
|  | const real | sy,
|  | const real | sz |
| ) |  |  | `[static]`

static void TMtxMath::FormTranslationRowTfm | ( | TMatrix44 & | m,
|  | const real | tx,
|  | const real | ty,
|  | const real | tz |
| ) |  |  | `[static]`

static void TMtxMath::MakeOrthonormalBasisFrom3Axes | ( | TVector3 & | xVec,
|  | TVector3 & | yVec,
|  | TVector3 & | zVec |
| ) |  |  | `[static]`

static void TMtxMath::MakeOrthonormalBasisFromZAxis | ( | const TVector3 & | zAxis,
|  | TVector3 & | unitXAxis,
|  | TVector3 & | unitYAxis,
|  | TVector3 & | unitZAxis |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyAffineRowTfms | ( | const TMatrix33 & | m1,
|  | const TMatrix33 & | m2,
|  | TMatrix33 & | result |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyAffineRowTfms | ( | const TMatrix44 & | m1,
|  | const TMatrix44 & | m2,
|  | TMatrix44 & | result |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyVectorByAffineRowTfm | ( | const TVector2 & | v,
|  | const real | w,
|  | const TMatrix33 & | m,
|  | TVector2 & | result |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyVectorByAffineRowTfm | ( | const TVector3 & | v,
|  | const TMatrix33 & | m,
|  | TVector3 & | result |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyVectorByAffineRowTfm | ( | const TVector3 & | v,
|  | const real | wValue,
|  | const TMatrix44 & | m,
|  | TVector3 & | result |
| ) |  |  | `[static]`

static void TMtxMath::MultiplyVectorByAffineRowTfm | ( | const TVector4 & | v,
|  | const TMatrix44 & | m,
|  | TVector4 & | result |
| ) |  |  | `[static]`

static void TMtxMath::PostMultiplyRotationColTfm | ( | TMatrix44 & | m,
|  | const EAxis | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::PostMultiplyRotationRowTfm | ( | TMatrix44 & | m,
|  | const EAxis | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::PostMultiplyScaleTfm | ( | TMatrix44 & | m,
|  | const real | sx,
|  | const real | sy,
|  | const real | sz |
| ) |  |  | `[static]`

static void TMtxMath::PostMultiplyTranslationColTfm | ( | TMatrix44 & | m,
|  | const real | tx,
|  | const real | ty,
|  | const real | tz |
| ) |  |  | `[static]`

static void TMtxMath::PostMultiplyTranslationRowTfm | ( | TMatrix44 & | m,
|  | const real | tx,
|  | const real | ty,
|  | const real | tz |
| ) |  |  | `[static]`

static void TMtxMath::PostRotateVectorByAffineRowTfm | ( | const TMatrix44 & | tfm,
|  | const TVector3 & | normal,
|  | TVector3 & | rotatedNormal |
| ) |  |  | `[static]`

static void TMtxMath::PreMultiplyRotationColTfm | ( | TMatrix44 & | m,
|  | const EAxis | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::PreMultiplyRotationRowTfm | ( | TMatrix44 & | m,
|  | const EAxis | axis,
|  | const TAngle & | angle |
| ) |  |  | `[static]`

static void TMtxMath::PreMultiplyScaleTfm | ( | TMatrix44 & | m,
|  | const real | sx,
|  | const real | sy,
|  | const real | sz |
| ) |  |  | `[static]`

static void TMtxMath::PreMultiplyTranslationColTfm | ( | TMatrix44 & | m,
|  | const real | tx,
|  | const real | ty,
|  | const real | tz |
| ) |  |  | `[static]`

static void TMtxMath::PreMultiplyTranslationRowTfm | ( | TMatrix44 & | m,
|  | const real | tx,
|  | const real | ty,
|  | const real | tz |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseGeneralCR | ( | const TMatrix33 & | m,
|  | TMatrix33 & | mInverse |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseGeneralCR | ( | const TMatrix22 & | m,
|  | TMatrix22 & | mInverse |
| ) |  |  | `[static]`

template<class T >

static boolean TMtxMath::SolveInverseGeneralGJE | ( | const TMatrixMN< T > & | m,
|  | TMatrixMN< T > & | mInverse |
| ) |  |  | `[inline, static]`

static boolean TMtxMath::SolveInverseGeneralGJE | ( | const TMatrix44 & | m,
|  | TMatrix44 & | mInverse |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseGeneralGJE | ( | const TMatrix33 & | m,
|  | TMatrix33 & | mInverse |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseSimpleRowTfmRT | ( | const TMatrix44 & | m,
|  | TMatrix44 & | mInverse |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseSimpleRowTfmRTS | ( | const TMatrix44 & | m,
|  | TMatrix44 & | mInverse |
| ) |  |  | `[static]`

static boolean TMtxMath::SolveInverseSimpleRowTfmRTU | ( | const TMatrix44 & | m,
|  | TMatrix44 & | mInverse |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- MtxMath.h